Skip to main content
POST
/
v1
/
linked_bank_accounts
cURL
curl --request POST \
  --header 'Authorization: Bearer YOUR_SECRET_API_KEY' \
  --url https://sandbox.straddle.com/v1/linked_bank_accounts \
  --header 'Content-Type: application/json' \
  --data '{
  "account_id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
  "bank_account": {
    "account_holder": "<string>",
    "routing_number": "<string>",
    "account_number": "<string>"
  }
}'
{
  "meta": {
    "api_request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "api_request_timestamp": "2023-11-07T05:31:56Z"
  },
  "response_type": "object",
  "data": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "status": "created",
    "status_detail": {
      "reason": "unverified",
      "source": "watchtower",
      "code": "<string>",
      "message": "<string>"
    },
    "bank_account": {
      "institution_name": "<string>",
      "account_holder": "<string>",
      "routing_number": "<string>",
      "account_mask": "<string>"
    },
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z",
    "purposes": [
      "charges"
    ],
    "metadata": {},
    "platform_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "description": "<string>"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.straddle.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Use your Straddle API Key in the Authorization header as Bearer to authorize API requests.

Headers

request-id
string

Optional client generated identifier to trace and debug a request.

correlation-id
string

Optional client generated identifier to trace and debug a series of requests.

idempotency-key
string

Optional client generated value to use for idempotent requests.

Required string length: 10 - 40

Body

account_id
string<uuid> | null
required

The unique identifier of the Straddle account to associate this bank account with.

bank_account
object
required
metadata
object

Up to 20 additional user-defined key-value pairs. Useful for storing additional information about the linked bank account in a structured format.

platform_id
string<uuid> | null

The unique identifier of the Straddle Platform to associate this bank account with.

purposes
enum<string>[] | null

The purposes for the linked bank account.

Available options:
charges,
payouts,
billing
description
string | null

Optional description for the bank account.

Response

Created

meta
object
required

Metadata about the API request, including an identifier and timestamp.

response_type
enum<string>
required

Indicates the structure of the returned content.

  • "object" means the data field contains a single JSON object.
  • "array" means the data field contains an array of objects.
  • "error" means the data field contains an error object with details of the issue.
  • "none" means no data is returned.
Available options:
object,
array,
error,
none
data
object
required